% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/centroid_points.R
\name{centroid_points}
\alias{centroid_points}
\title{Calculate geographic centroids for points}
\usage{
centroid_points(x, group.var = NULL)
}
\arguments{
\item{x}{A spatial object.}

\item{group.var}{character Optional. Name of grouping variable in \code{x} to calculate centroids for each group separately.}
}
\value{
A SpatialPoints object with the centroids coordinates.
}
\description{
Using \code{\link[rgeos]{gCentroid}}. Note this function does not take earth sphericity into account. So it's a good idea to provide the spatial object \code{x} in a planar projection. \code{\link[geosphere]{centroid}} uses Mercator, but warns about problems close to the poles.
}
\seealso{
\code{\link[rgeos]{gCentroid}}, \code{\link[geosphere]{centroid}}, \code{\link[spatstat]{centroid.owin}}
}
